Get available instance types
curl --request GET \
--url https://api.xata.tech/organizations/{organizationID}/instanceTypes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.xata.tech/organizations/{organizationID}/instanceTypes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.xata.tech/organizations/{organizationID}/instanceTypes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"instanceTypes": [
{
"name": "<string>",
"vcpus": 123,
"ram": 123,
"hourlyRate": 123,
"storageMonthlyRate": 123,
"region": "<string>"
}
]
}{
"message": "<string>",
"id": "<string>"
}{
"message": "<string>",
"id": "<string>"
}Projects
Get available instance types
Retrieves a list of all instance types for the specified organization and region
GET
/
organizations
/
{organizationID}
/
instanceTypes
Get available instance types
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique identifier of the organization to check instance type availability for
Pattern:
[a-zA-Z0-9_-~:]+Query Parameters
Region to check instance type availability for
Response
List of instance types available for the organization
Array of available instance types with their properties
Show child attributes
Show child attributes
Was this page helpful?
⌘I